Subject: Re: linux-next: build failure after merge of the usb tree

From: Lan Tianyu <[email-masked]>
Date: Mon, 28 Jan 2013 23:28:27 +0800

On 2013/1/28 22:45, Greg KH wrote:
> On Mon, Jan 28, 2013 at 09:46:44PM +1100, Stephen Rothwell wrote:
>> Hi Greg,
>>
>> After merging the usb tree, today's linux-next build (x86_64 allmodconfig)
>> failed like this:
>>
>> drivers/usb/core/usb-acpi.c: In function 'usb_acpi_register_power_resources':
>> drivers/usb/core/usb-acpi.c:226:2: error: implicit declaration of function 'acpi_power_resource_register_device' [-Werror=implicit-function-declaration]
>> drivers/usb/core/usb-acpi.c: In function 'usb_acpi_unregister_power_resources':
>> drivers/usb/core/usb-acpi.c:234:3: error: implicit declaration of function 'acpi_power_resource_unregister_device' [-Werror=implicit-function-declaration]
>>
>> Caused by commit 88bb965ed711 ("usb: Register usb port's acpi power
>> resources").
>>
>> I have used the usb tree from next-20130125 for today.
>
> Lan, please send me a patch to resolve this issue.
Hi Greg:
	The cause is that these two routines are replaced with two new routines:
acpi_dev_pm_add_dependent() and acpi_dev_pm_remove_dependent() in the linux-next
branch of linux-pm tree. So this error doesn't take place in the usb-next tree.
	One solution I can think of is that bother you to revert the patch and
I will send new patch with new routines after 3.9 merge window. This will not
affect other functions. Does this make sense? Sorry again.

>
> Stephen, sorry for the breakage.
>
> thanks,
>
> greg k-h
>

-- 
Best Regards
Tianyu Lan
linux kernel enabling team